Bug 1301868 - dnf search with multiple matches shows repeated grouping
dnf search with multiple matches shows repeated grouping
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
26
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: EasyFix, Triaged, UserExperience
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 03:48 EST by Yajo
Modified: 2017-05-14 16:19 EDT (History)
6 users (show)

See Also:
Fixed In Version: dnf-2.4.1-1.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-14 16:19:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yajo 2016-01-26 03:48:25 EST
Version-Release number of selected component (if applicable):
dnf-1.1.5-1.fc23.noarch

Steps to Reproduce:
1. Execute: dnf search wine gecko

Actual results:
Last metadata expiration check performed 0:07:47 ago on Tue Jan 26 09:36:54 2016.
========================================================= N/S Matched: wine, gecko =========================================================
mingw32-wine-gecko.noarch : Gecko library for 32bit wine
mingw64-wine-gecko.noarch : Gecko library for 64bit wine
============================================================ N/S Matched: wine =============================================================
wine.x86_64 : A compatibility layer for windows applications
wine.i686 : A compatibility layer for windows applications
[...]
============================================================ N/S Matched: gecko ============================================================
gecko-sharp2.x86_64 : Gecko bindings for Mono
gecko-sharp2-devel.i686 : Files needed for developing with gecko-sharp2
gecko-sharp2-devel.x86_64 : Files needed for developing with gecko-sharp2
============================================================ N/S Matched: wine =============================================================
wine-common.noarch : Common files
dssi-vst-wine.i686 : VST plug-ins wrapper
============================================================ N/S Matched: gecko ============================================================
gecko-mediaplayer.i686 : Gnome MPlayer browser plugin
gecko-mediaplayer.x86_64 : Gnome MPlayer browser plugin
============================================================ N/S Matched: wine =============================================================
fst.i686 : Run VST plugins under wine
============================================================ N/S Matched: gecko ============================================================
xulrunner-devel.i686 : Development files for Gecko
xulrunner-devel.x86_64 : Development files for Gecko
[...]



Expected results:
Only 3 groups:
- N/S Matched: wine, gecko
- N/S Matched: wine
- N/S Matched: gecko


Additional info:
Seems like it shows first those that match both name and summary, then those that match only name, then those that match only summary. If this is the expected behavior, then the section titles are the bug.
Comment 1 Michal Domonkos 2016-02-01 07:33:52 EST
Right, we should fix the section titles to correctly denote their content.  Something like:

* Name & Summary Matched
* Name Matched
* Summary Matched
Comment 2 Fedora Admin XMLRPC Client 2016-07-08 05:33:43 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2016-11-24 10:12:14 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2017-02-28 04:53:08 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 5 Jaroslav Rohel 2017-04-21 07:03:30 EDT
>Right, we should fix the section titles to correctly denote their content.  >Something like:
>
>* Name & Summary Matched
>* Name Matched
>* Summary Matched

I'm working on it. PR https://github.com/rpm-software-management/dnf/pull/792
Comment 6 Fedora Update System 2017-05-11 04:58:50 EDT
dnf-2.4.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e0fa49ff81
Comment 7 Fedora Update System 2017-05-12 21:10:37 EDT
dnf-2.4.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e0fa49ff81
Comment 8 Fedora Update System 2017-05-14 16:19:31 EDT
dnf-2.4.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.